// --------------------------------------------------------------------------
// Steps
// --------------------------------------------------------------------------

.steps {
    background: #F6F9FB;
    padding: 31px 0 60px;
    @include breakpoint(md) {
        padding: 33px 0 58px;
    }
    @include breakpoint(lg) {
        padding: 42px 0 60px;
    }
    @include breakpoint(xl) {
        padding: 85px 0 95px;
        position: relative;
        z-index: 1;
    }

    &--white {
        background: #fff;
    }
}

.steps__title {
    @extend .ui-title-33;
    margin: 0 0 15px;
    font-size: 22px;
    text-align: center;
    @include breakpoint(md) {
        margin: 0 0 20px;
    }
    @include breakpoint(lg) {
        margin: 0 0 44px;
    }
    @include breakpoint(xl) {
        text-align: left;
        margin: 0 0 40px;
    }
}


.steps__item {
    position: relative;
    margin: 58px 0 0;
    background: rgba(255,255,255,0.5);
    box-shadow: 0px 0px 29px rgba(32, 75, 122, 0.4);
    border-radius: 3px;
    padding: 16px 25px;
    min-height: 244px;
    display: flex;
    align-items: center;
    justify-content: center;
    @include breakpoint(md) {
        padding: 25px;
        margin: 68px 0 0;
        box-shadow: none;
    }
    @include breakpoint(lg) {
        padding: 31px 35px;
    }
    @include breakpoint(xl) {
        padding: 31px 20px 32px 67px;
        margin: 0;
        align-items: flex-start;
        min-height: 100%;
    }
}

 
.steps__item-number {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 48px;
    padding: 0 10px;

    font-size: 40px;
    line-height: 1;
    font-weight: 400;
    position: absolute;
    top: -58px;
    left: 0;
    right: 0;
    color: #00757E;
    text-align: center;
    &:after {
        content: '';
        display: block;
        position: absolute;
        top: 50%;
        height: 1px;
        background: #00757E;
        left: -30px;
        right: -30px;
    }
    @include breakpoint(md) {
        top: -68px;
    }

    @include breakpoint(xl) {
        width: 67px;
        top: 21px;
        left: 0;
        &:after {
            display: none;
        }
    }

}

.steps__item-number-in {
    display: inline-block;
    vertical-align: top;
    position: relative;
    z-index: 1;
    padding: 0 10px;
    background: #F6F9FB;
}

.steps__item-text {
    margin: 0;
}
@media (min-width: 720px) {
    .steps_mobile {
        display: none; } }
